import * as React from 'react';
import { State } from './DownscreenContext';
declare type Props = React.HTMLAttributes<HTMLDivElement> & {
    children: (args: {
        index: number;
        selectedIndex: State['selectedIndex'];
        highlightedIndex: State['highlightedIndex'];
        inputValue: State['inputValue'];
    }) => React.ReactNode;
};
declare const Menu: ({ children, ...props }: Props) => JSX.Element | null;
export default Menu;
