function _templateObject5() {
  var data = _taggedTemplateLiteral(["\n  background: ", ";\n  color: palevioletred;\n  cursor: pointer;\n  font-size: 16px;\n  font-weight: ", ";\n  padding: 8px 16px;\n"]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = _taggedTemplateLiteral(["\n  background: white;\n  box-shadow: 0px 8px 16px 0px lightgray;\n  position: absolute;\n  width: 240px;\n  z-index: 1000;\n"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = _taggedTemplateLiteral(["\n  display: block;\n  font-size: 16px;\n  font-weight: bold;\n  margin: 0 0 8px;\n  width: 240px;\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n  background: white;\n  border: 1px solid orange;\n  border-radius: 3px;\n  color: orange;\n  font-size: 16px;\n  padding: 4px 8px;\n  width: 222px;\n\n  &:focus {\n    box-shadow: 0 0 0 3px lightblue, 0 0 0 1.5px lightblue;\n    outline: none;\n  }\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  background: white;\n  border-radius: 3px;\n  border: 2px solid orange;\n  color: orange;\n  cursor: pointer;\n  font-size: 16px;\n  padding: 4px 16px;\n  width: 240px;\n\n  &:focus {\n    box-shadow: 0 0 0 3px lightblue, 0 0 0 1.5px lightblue;\n    outline: none;\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

import * as React from 'react';
import styled from 'styled-components';
import Downscreen, { Button, Input, Label, Menu, MenuItem } from "../index.js";
var items = [{
  id: '1',
  value: 'apple'
}, {
  id: '2',
  value: 'banana'
}, {
  id: '3',
  value: 'pear'
}, {
  id: '4',
  value: 'watermelon'
}, {
  id: '5',
  value: 'lemon'
}, {
  id: '6',
  value: 'orange'
}, {
  id: '7',
  value: 'dragonfruit'
}, {
  id: '8',
  value: 'papaya'
}];
var StyledButton = styled(Button)(_templateObject());
var StyledInput = styled(Input)(_templateObject2());
var StyledLabel = styled(Label)(_templateObject3());
var StyledMenu = styled(Menu)(_templateObject4());
var StyledMenuItem = styled(MenuItem)(_templateObject5(), function (_ref) {
  var highlighted = _ref.highlighted;
  return highlighted ? 'lightgray' : 'white';
}, function (_ref2) {
  var selected = _ref2.selected;
  return selected ? 'bold' : 'normal';
});
export var QuickButtonExample = function QuickButtonExample() {
  return React.createElement(Downscreen, {
    onSelect: console.log,
    totalCount: items.length,
    id: "quick-button-example"
  }, React.createElement(StyledButton, null, function (selectedIndex) {
    return selectedIndex === null ? '(nothing)' : items[selectedIndex].value;
  }), React.createElement(StyledMenu, null, function (_ref3) {
    var index = _ref3.index,
        selectedIndex = _ref3.selectedIndex,
        highlightedIndex = _ref3.highlightedIndex;
    return React.createElement(StyledMenuItem, {
      key: items[index].id,
      index: index,
      selected: selectedIndex === index,
      highlighted: highlightedIndex === index
    }, items[index].value);
  }));
};
export var QuickInputExample = function QuickInputExample() {
  return React.createElement(Downscreen, {
    onSelect: console.log,
    totalCount: items.length,
    id: "quick-input-example"
  }, React.createElement(StyledLabel, null, "Select:"), React.createElement(StyledInput, null, function (selectedIndex) {
    return selectedIndex === null ? null : items[selectedIndex].value;
  }), React.createElement(StyledMenu, null, function (_ref4) {
    var index = _ref4.index,
        selectedIndex = _ref4.selectedIndex,
        highlightedIndex = _ref4.highlightedIndex,
        inputValue = _ref4.inputValue;
    return items[index].value.toLowerCase().includes(inputValue.toLowerCase()) && React.createElement(StyledMenuItem, {
      key: items[index].id,
      index: index,
      selected: selectedIndex === index,
      highlighted: highlightedIndex === index
    }, items[index].value);
  }));
};