import * as React from 'react';
import { State } from './DownscreenContext';
export interface Props {
    children: React.ReactNode;
    onSelect: (selectedIndex: State['selectedIndex']) => void;
    initial?: State;
    totalCount: number;
    id: Required<React.HTMLAttributes<HTMLDivElement>['id']>;
    className?: React.HTMLAttributes<HTMLDivElement>['className'];
    style?: React.HTMLAttributes<HTMLDivElement>['style'];
}
declare const Downscreen: ({ children, onSelect, initial, totalCount, id, className, style, }: Props) => JSX.Element;
export default Downscreen;
